Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSDistributedDestinationMBean

All Known Subinterfaces:
  JMSDistributedQueueMBean, JMSDistributedTopicMBean

public interface JMSDistributedDestinationMBean
extends JMSVirtualDestinationMBean

This class represents a JMS distributed destination, which is comprised of multiple physical JMS destinations (topics or queues) as members of a single distributed set of destinations that can be served by multiple WebLogic Server instances within a cluster.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSVirtualDestinationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getLoadBalancingPolicy()` Defines the load balancing policy for producers sending messages to a distributed destination in order to balance the message load across the physical members of the distributed set.
`JMSTemplateMBean` | `getTemplate()` The JMS template that the distributed destination is derived from.
`void` | `setLoadBalancingPolicy(java.lang.String loadBalancingPolicy)` Defines the load balancing policy for producers sending messages to a distributed destination in order to balance the message load across the physical members of the distributed set.
`void` | `setTemplate(JMSTemplateMBean template)` The JMS template that the distributed destination is derived from.

Methods inherited from interface weblogic.management.configuration.JMSVirtualDestinationMBean
`getJNDIName, setJNDIName`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getTemplate

    public JMSTemplateMBean getTemplate()

  The JMS template that the distributed destination is derived from.

  Returns:
    The template value

### setTemplate

    public void setTemplate(JMSTemplateMBean template)

  The JMS template that the distributed destination is derived from.

### getLoadBalancingPolicy

    public java.lang.String getLoadBalancingPolicy()

  Defines the load balancing policy for producers sending messages to a distributed destination in order to balance the message load across the physical members of the distributed set.

  - Round-Robin - The system maintains an ordering of physical destinations within the distributed set by distributing the messaging load across the physical members one at a time in the order that they are defined in the configuration file. Each WebLogic Server instance maintains an identical ordering, but may be at a different point within the ordering. If weights are assigned to any of the physical members in the distributed set, then those members appear multiple times in the ordering.

  - Random - The weight assigned to the physical destinations is used to compute a weighted distribution for the physical members of the distributed set. The messaging load is distributed across the physical members by pseudo-randomly accessing the distribution. In the short run, the load will not be directly proportional to the weight. In the long run, the distribution will approach the limit of the distribution. A pure random distribution can be achieved by setting all the weights to the same value, which is typically set to 1.

  Returns:
    The loadBalancingPolicy value

### setLoadBalancingPolicy

    public void setLoadBalancingPolicy(java.lang.String loadBalancingPolicy)
                                throws javax.management.InvalidAttributeValueException

  Defines the load balancing policy for producers sending messages to a distributed destination in order to balance the message load across the physical members of the distributed set.

  - Round-Robin - The system maintains an ordering of physical destinations within the distributed set by distributing the messaging load across the physical members one at a time in the order that they are defined in the configuration file. Each WebLogic Server instance maintains an identical ordering, but may be at a different point within the ordering. If weights are assigned to any of the physical members in the distributed set, then those members appear multiple times in the ordering.

  - Random - The weight assigned to the physical destinations is used to compute a weighted distribution for the physical members of the distributed set. The messaging load is distributed across the physical members by pseudo-randomly accessing the distribution. In the short run, the load will not be directly proportional to the weight. In the long run, the distribution will approach the limit of the distribution. A pure random distribution can be achieved by setting all the weights to the same value, which is typically set to 1.

  A dynamic MBean attribute
  Default Value: JMSConstants.ROUND_ROBIN
  Legal Values: JMSConstants.ROUND_ROBIN,JMSConstants.RANDOM
  Parameters:
    `loadBalancingPolicy` - The new loadBalancingPolicy value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD